{
  "id": "8715831b964b5eb0bbaf1751",
  "source": "go:parse",
  "type": "go-type",
  "title": "parse.type StringNode",
  "content": "# type parse.type StringNode ¶\n\n```\ntype StringNode struct {\n\tNodeType\n\tPos\n\n\tQuoted string // The original text of the string, with quotes.\n\tText   string // The string, after quote processing.\n\t// contains filtered or unexported fields\n}\n```\n\nStringNode holds a string constant. The value has been \"unquoted\".",
  "url": "https://pkg.go.dev/parse#type StringNode ¶",
  "metadata": {
    "fields": "null",
    "import_path": "Standard library/text/template/parse",
    "kind": "type",
    "method_count": 0,
    "package": "parse",
    "symbol": "type StringNode ¶",
    "type_kind": "alias",
    "underlying": "type StringNode struct {\n\tNodeType\n\tPos\n\n\tQuoted string // The original text of the string, with quotes.\n\tText   string // The string, after quote processing.\n\t// contains filtered or unexported fields\n}"
  },
  "hash": "eff4fe5dc2ded383b6d74f16b57c134fca6bf1ad4b32a66c1c0e349263b7bdbc",
  "timestamp": "2026-02-23T11:22:10.617622242+01:00"
}